Results 1 to 4 of 4

Thread: 4.5.10 -> 5.0 upgrade fails

  1. #1
    Join Date
    Mar 2007
    Location
    Rancho Santa Fe, CA
    Posts
    15
    Rep Power
    8

    Question 4.5.10 -> 5.0 upgrade fails

    Hello,

    My attempts to upgrade a CentOS-5.1 box running 4.5.10 to 5.0 failed. Everything web-related seems to work fine (it's nice BTW), but the postfix step went wrong somehow. It accepts no mail whatsoever. Here's a telnet test:

    % telnet 192.168.1.64 25
    Trying 192.168.1.64...
    Connected to 192.168.1.64.
    Escape character is '^]'.
    220 zcs.internetguy.net ESMTP Postfix
    ehlo internetguy.net
    250-zcs.internetguy.net
    250-PIPELINING
    250-SIZE 51200000
    250-VRFY
    250-ETRN
    250-STARTTLS
    250-ENHANCEDSTATUSCODES
    250-8BITMIME
    250 DSN
    mail from:<jack@internetguy.net>
    [hangs forever]

    When I run strace -p on the pid associated with this process I see it waiting on a poll() event. I turned off iptables during the test to ensure firewall rules aren't affecting postfix or ldap in any way.

    Ideas?

    Jack

  2. #2
    Join Date
    Sep 2006
    Location
    Illinois
    Posts
    374
    Rep Power
    9

    Default

    Jack,

    Lots of people are having this problem...I had it... Did you originally install this more than a year ago?

    If you look in /var/log/zimbra.log there are probably a bunch of errors about SSL certs being invalid. This thread explains the fix.

    http://www.zimbra.com/forums/install...y-failure.html

    Matt

  3. #3
    Join Date
    Mar 2007
    Location
    Rancho Santa Fe, CA
    Posts
    15
    Rep Power
    8

    Default 4.5.10 -> 5.0 upgrade fails

    Quote Originally Posted by Chewie71 View Post
    Jack,

    Lots of people are having this problem...I had it... Did you originally install this more than a year ago?

    If you look in /var/log/zimbra.log there are probably a bunch of errors about SSL certs being invalid. This thread explains the fix.

    http://www.zimbra.com/forums/install...y-failure.html

    Matt
    Interesting read. Thanks for the pointer. In my case the cert is signed by Equifax, and it is valid until February. If the cert handling is indeed the conversion bug, it appears as though the CA and expiration dates don't matter.

    Jack

  4. #4
    Join Date
    Mar 2007
    Location
    Rancho Santa Fe, CA
    Posts
    15
    Rep Power
    8

    Default 4.5.10 -> 5.0 upgrade fails

    Tried the upgrade from 4.5.10 to 5.0.1 last night and it failed. Looks to be the same problem (commerical cert?) at 5.0. I did not notice any errors or anything unusual during the upgrade.

    Is there any way to skip over this, then reinstall the commercial cert after the upgrade?

Similar Threads

  1. Replies: 13
    Last Post: 01-15-2008, 07:35 PM
  2. [SOLVED] Upgrade 4.5.7 > 5.0 GA Failed
    By jimbo in forum Installation
    Replies: 11
    Last Post: 01-13-2008, 04:21 PM
  3. ZCS 5.0 FOSS is Released!!!
    By jholder in forum Announcements
    Replies: 1
    Last Post: 12-21-2007, 11:21 AM
  4. Replies: 5
    Last Post: 12-04-2007, 04:40 PM
  5. 4.5.6 -> 5.0 Upgrade Problem :(
    By uxbod in forum Installation
    Replies: 3
    Last Post: 07-21-2007, 08:02 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •